Subject: bug#55707: syslogd logging kernel messages slowly?

From: Ludovic Courtès <[email-masked]>
Date: Mon, 06 Jun 2022 12:00:33 +0200

Hi,

Luis Felipe <[email-masked]> skribis:

> On Saturday, June 4th, 2022 at 19:30, Ludovic Courtès <[email-masked]> wrote:
>
>> I’m curious to see if it fixes your other boot-up issues, timeouts and
>> all, Luis.
>
> Do I simply put both definitions (inetutils/fdatasync and %default-syslog.conf) in my system config and reconfigure...? Because I tried that and nothing seems to change.
>
> Or, once defined, do I have to use inetutils/fdatasync and %default-syslog.conf somewhere in my system packages...?

Sorry, I wasn’t clear.  Let’s forget about ‘inetutils/fdatasync’ because
it doesn’t have a measurable impact AFAICS.

In your config file, you first put:

--8<---------------cut here---------------start------------->8---
(define %new-default-syslog.conf
  (plain-file "syslog.conf" "
     # Log all error messages, authentication messages of
     # level notice or higher and anything of level err or
     # higher to the console.
     # Don't log private authentication messages!
     *.alert;auth.notice;authpriv.none      -/dev/console

     # Log anything (except mail) of level info or higher.
     # Don't log private authentication messages!
     *.info;mail.none;authpriv.none         -/var/log/messages

     # Log \"debug\"-level entries and nothing else.
     *.=debug                               -/var/log/debug

     # Same, in a different place.
     *.info;mail.none;authpriv.none         -/dev/tty12

     # The authpriv file has restricted access.
     # 'fsync' the file after each line.
     authpriv.*                              /var/log/secure

     # Log all the mail messages in one place.
     mail.*                                 -/var/log/maillog
"))
--8<---------------cut here---------------end--------------->8---

Then, you replace ‘%desktop-services’ with:

--8<---------------cut here---------------start------------->8---
(modify-services %desktop-services
  (syslog-service-type
   _ => (syslog-configuration
         (config-file %new-default-syslog.conf))))
--8<---------------cut here---------------end--------------->8---

Thanks for testing!

Ludo’.